[arch-commits] Commit in python-pylint/repos (staging-any staging-any/PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Tue Jul 17 08:29:15 UTC 2018
Date: Tuesday, July 17, 2018 @ 08:29:15
Author: felixonmars
Revision: 328878
archrelease: copy trunk to staging-any
Added:
python-pylint/repos/staging-any/
python-pylint/repos/staging-any/PKGBUILD
(from rev 328877, python-pylint/trunk/PKGBUILD)
----------+
PKGBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 47 insertions(+)
Copied: python-pylint/repos/staging-any/PKGBUILD (from rev 328877, python-pylint/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD (rev 0)
+++ staging-any/PKGBUILD 2018-07-17 08:29:15 UTC (rev 328878)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Alexander Fehr <pizzapunk gmail com>
+
+pkgname=python-pylint
+pkgver=2.0
+pkgrel=2
+pkgdesc="Analyzes Python code looking for bugs and signs of poor quality"
+arch=('any')
+url="http://pylint.org"
+license=('GPL')
+depends=('python-astroid' 'python-setuptools' 'python-mccabe' 'python-isort')
+checkdepends=('python-pytest-runner' 'mpdecimal')
+optdepends=('tk: Pylint GUI'
+ 'graphviz: To have other output formats than dot or vcg')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/PyCQA/pylint/archive/pylint-$pkgver.tar.gz")
+sha512sums=('2995557d790349de8db8c1967c0d58dde16adf37886caf8290f05d34ba987bd64380551c6ff578cefa761415972051e25ab1a0a8ab822f854bd5bdbeef5c7472')
+
+prepare() {
+ sed -i 's/pytest<3.3/pytest/' pylint-pylint-$pkgver/setup.py
+
+ cd "$srcdir"/pylint-pylint-$pkgver/pylint
+ sed -e "s|/usr/bin/env python|/usr/bin/env python3|" -e "s|/usr/bin/python$|/usr/bin/python3|" -i epylint.py __main__.py test/input/noext test/data/ascript
+}
+
+build() {
+ cd "$srcdir"/pylint-pylint-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd "$srcdir"/pylint-pylint-$pkgver
+ # https://github.com/PyCQA/pylint/issues/2288
+ python setup.py pytest || warning "Tests failed"
+}
+
+package() {
+ depends=('python-astroid' 'python-setuptools' 'python-mccabe' 'python-isort')
+
+ cd pylint-pylint-$pkgver
+ python setup.py install --prefix=/usr --root="$pkgdir" --skip-build --optimize=1
+
+ install -d "$pkgdir"/usr/share/man/man1
+ install -m644 man/* "$pkgdir"/usr/share/man/man1
+}
More information about the arch-commits
mailing list